Page MenuHomePhabricator

TorBlock maintenance failures on labweb hosts
Closed, ResolvedPublic

Description

For a few days now we've been getting cronspam like this:

Cron <www-data@labweb1001> /usr/local/bin/mwscript extensions/TorBlock/maintenance/loadExitNodes.php --wiki=labswiki --force > /dev/null

Could not load exit nodes.

I'm not sure what the correct behavior for this is on labweb* but I suspect these errors are due to recent changes in the extension.

Event Timeline

Andrew created this task.Jul 18 2019, 7:23 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 18 2019, 7:23 PM
Andrew added a subscriber: aaron.Jul 18 2019, 7:23 PM

Change 524326 had a related patch set uploaded (by Aaron Schulz; owner: Aaron Schulz):
[mediawiki/extensions/TorBlock@master] Fix LoadExitNodes.php when $wgTorLoadNodes is false

https://gerrit.wikimedia.org/r/524326

Change 524329 had a related patch set uploaded (by Aaron Schulz; owner: Aaron Schulz):
[mediawiki/extensions/TorBlock@wmf/1.34.0-wmf.14] Fix LoadExitNodes.php when $wgTorLoadNodes is false

https://gerrit.wikimedia.org/r/524329

Change 524329 abandoned by Aaron Schulz:
Fix LoadExitNodes.php when $wgTorLoadNodes is false

Reason:
base patch changing

https://gerrit.wikimedia.org/r/524329

aaron claimed this task.Jul 18 2019, 9:41 PM
aaron triaged this task as Unbreak Now! priority.
Restricted Application added a subscriber: Liuxinyu970226. · View Herald TranscriptJul 18 2019, 9:41 PM
jcrespo added a subscriber: jcrespo.

For posterity, this issue generates the following error being mailed:

Cron <www-data@labweb1001> /usr/local/bin/mwscript extensions/TorBlock/maintenance/loadExitNodes.php --wiki=labswiki --force > /dev/null
Could not load exit nodes.

Change 524329 restored by Jforrester:
Fix LoadExitNodes.php when $wgTorLoadNodes is false

https://gerrit.wikimedia.org/r/524329

Change 524326 merged by jenkins-bot:
[mediawiki/extensions/TorBlock@master] Fix LoadExitNodes.php when $wgTorLoadNodes is false

https://gerrit.wikimedia.org/r/524326

It sounds interesting. How can Tor blocks create such errors? Tor exit nodes are usually detectable, how can the software bug be like this magnitude?

Change 524329 merged by jenkins-bot:
[mediawiki/extensions/TorBlock@wmf/1.34.0-wmf.14] Fix LoadExitNodes.php when $wgTorLoadNodes is false

https://gerrit.wikimedia.org/r/524329

Mentioned in SAL (#wikimedia-operations) [2019-07-22T04:44:16Z] <tstarling@deploy1001> Synchronized php-1.34.0-wmf.14/extensions/TorBlock/includes/TorExitNodes.php: fixing UBN T228465 (duration: 00m 56s)

Mentioned in SAL (#wikimedia-operations) [2019-07-22T04:46:07Z] <tstarling@deploy1001> Synchronized php-1.34.0-wmf.14/extensions/TorBlock/maintenance/loadExitNodes.php: fixing UBN T228465 (duration: 00m 54s)

Mentioned in SAL (#wikimedia-operations) [2019-07-22T04:48:53Z] <tstarling@deploy1001> Synchronized php-1.34.0-wmf.14/extensions/TorBlock/extension.json: fixing UBN T228465 (duration: 00m 54s)

tstarling closed this task as Resolved.Jul 22 2019, 4:51 AM
tstarling added a subscriber: tstarling.

Fixed and confirmed

[0450][www-data@labweb1001:/]$ time /usr/local/bin/mwscript extensions/TorBlock/maintenance/loadExitNodes.php --wiki=labswiki --force
Successfully loaded 1206 exit nodes.

real	0m1.958s
user	0m0.572s
sys	0m0.212s

I guess the cron jobs should be removed now, is there a bug for that?

aaron added a comment.Jul 22 2019, 7:27 PM

Fixed and confirmed

[0450][www-data@labweb1001:/]$ time /usr/local/bin/mwscript extensions/TorBlock/maintenance/loadExitNodes.php --wiki=labswiki --force
Successfully loaded 1206 exit nodes.
real	0m1.958s
user	0m0.572s
sys	0m0.212s

I guess the cron jobs should be removed now, is there a bug for that?

There is none yet.

If loadExitNodes.php is obsolete now, from what I understand, it would be great if the change gets documented on the extension page